Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Class ReportInfo

    java.lang.Object
      jet.bean.ReportInfo

    public class ReportInfo

extends java.lang.Object

This class specifies the information of a report.

Field Summary
`static int` | `DHTML`
`static int` | `FAX`
`static int` | `HTML`
`static int` | `PDF`
`static int` | `PS`
`static int` | `RST`
`static int` | `RTF`
`static int` | `STATUS_CLOSE` Deprecated.
`static int` | `STATUS_OPEN` Deprecated.
`static int` | `TEXT`
`static int` | `XLS`
`static int` | `XML`

Constructor Summary
`ReportInfo()` Constructs a report information set.
`ReportInfo(java.lang.String rptName, java.lang.String viewName, java.lang.String rptDescription, int rptStatus)` Constructs a report information set.

Method Summary
`jet.reportLogic.objectInfo.bursting.BurstingSchema[]` | `getBurstingSchemas()` get bursting schemas defined in report.
`int` | `getExportFormat()` Get int value of export format.
`java.util.Hashtable` | `getExportOptionProperties()` Get export option properties.
`java.lang.String` | `getExportStyle(int format)` Gets predefined export style according specified export format
`java.lang.String` | `getRptDescription()` Gets report description.
`java.lang.String` | `getRptDisplayName()` Gets report display name.
`java.lang.String` | `getRptName()` Gets report name.
`int` | `getRptStatus()` Gets report status.
`java.util.Hashtable<java.lang.String,java.util.List<java.lang.String>>` | `getUsedConnectionNames()` Gets the resource names of connections which are used in this report.
`java.lang.String` | `getViewName()` Gets view name.
`boolean` | `hasCLS()` Check if relatived datasets of report have Column Level Security definition
`boolean` | `hasLinkedReport()` Check if components of report have been defined to linked report
`boolean` | `hasPLS()` Check if report has Page Level Security definition
`boolean` | `hasRLS()` Check if relatived datasets of report have Record Level Security definition
`boolean` | `isPrecisionSensitive()` Gets if report is Precision Sensitive.
`void` | `setRptDisplayName(java.lang.String rptDisplayName)` Sets new report display name.
`java.lang.String` | `toString()` Returns a string representation of this ReportInfo.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STATUS_OPEN

    public static final int STATUS_OPEN

  Deprecated.

  See Also:
    Constant Field Values

### STATUS_CLOSE

    public static final int STATUS_CLOSE

  Deprecated.

  See Also:
    Constant Field Values

### RST

    public static final int RST

See Also:
  Constant Field Values

### HTML

    public static final int HTML

See Also:
  Constant Field Values

### DHTML

    public static final int DHTML

See Also:
  Constant Field Values

### PDF

    public static final int PDF

See Also:
  Constant Field Values

### FAX

    public static final int FAX

See Also:
  Constant Field Values

### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

### PS

    public static final int PS

See Also:
  Constant Field Values

### XLS

    public static final int XLS

See Also:
  Constant Field Values

### RTF

    public static final int RTF

See Also:
  Constant Field Values

### XML

    public static final int XML

See Also:
  Constant Field Values

Constructor Detail

### ReportInfo

    public ReportInfo()

  Constructs a report information set.

### ReportInfo

    public ReportInfo(java.lang.String rptName,
                      java.lang.String viewName,
                      java.lang.String rptDescription,
                      int rptStatus)

  Constructs a report information set.

  Parameters:
    `rptName` - report name that specified report
    `viewName` - view name that specified a view of report
    `rptStatus` - report status of the report

Method Detail

### getRptName

    public java.lang.String getRptName()

  Gets report name.

  Returns:
    report name

### getViewName

    public java.lang.String getViewName()

  Gets view name.

  Returns:
    view name of reoprt

### getRptDisplayName

    public java.lang.String getRptDisplayName()

  Gets report display name.

  Returns:
    report display name

### setRptDisplayName

    public void setRptDisplayName(java.lang.String rptDisplayName)

  Sets new report display name.

  Parameters:
    `rptDisplayName` - report display name

### getRptDescription

    public java.lang.String getRptDescription()

  Gets report description.

  Returns:
    report description

### getRptStatus

    public int getRptStatus()

  Gets report status.

  Returns:
    report status

### isPrecisionSensitive

    public boolean isPrecisionSensitive()

  Gets if report is Precision Sensitive.

  Returns:
    true if report is Precision Sensitive.

### getExportStyle

    public java.lang.String getExportStyle(int format)

  Gets predefined export style according specified export format

  Parameters:
    `format` - the specified export format
  Returns:
    style name.

### getBurstingSchemas

    public jet.reportLogic.objectInfo.bursting.BurstingSchema[] getBurstingSchemas()

  get bursting schemas defined in report.

  Returns:
    BurstingSchema[] instance. Return null if specified report is not bursting report.

### hasPLS

    public boolean hasPLS()

  Check if report has Page Level Security definition

### hasCLS

    public boolean hasCLS()

  Check if relatived datasets of report have Column Level Security definition

### hasLinkedReport

    public boolean hasLinkedReport()

  Check if components of report have been defined to linked report

### hasRLS

    public boolean hasRLS()

  Check if relatived datasets of report have Record Level Security definition

### getExportFormat

    public int getExportFormat()

  Get int value of export format. The corresponding constant value is defined in jet.naming.EnumerationConstant.

  Returns:
    int value.

### getUsedConnectionNames

    public java.util.Hashtable<java.lang.String,java.util.List<java.lang.String>> getUsedConnectionNames()

  Gets the resource names of connections which are used in this report.

  Returns:
    the resource names of connections. The key of returned Hashtable is datasource name, the value is a list contains the connection names.

### getExportOptionProperties

    public java.util.Hashtable getExportOptionProperties()

  Get export option properties. If no export option is choosed, return null.

  Returns:
    property name - unit string pairs.

### toString

    public java.lang.String toString()

  Returns a string representation of this ReportInfo.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD